Subject: bug#36771: 27.0.50; mailcap documentation and effect missmatch

From: Tomas Nordin <[email-masked]>
Date: Sun, 13 Oct 2019 11:42:03 +0200

Hello

Lars Ingebrigtsen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Stefan Kangas <[email-masked]> writes:
>>
>>> I tried digging into this code, but found mailcap.el too confusing overall...
>>
>> Yes, it's really, really confusing.
>>
>> There's so many reversals in the way things are sorted that it's amazing
>> that it sometimes halfway works at all.
>>
>> I think I'll rewrite it some, and mark stuff explicitly where they came
>> from (user/Emacs/system), and then use that to decide what to use.
>
> I think this should perhaps now work on the trunk -- at least it works
> in my test cases.  Could you test?

I don't know how to properly test some patched lisp files without
rebuilding and reinstalling. If I manually load the patched files seq.el
and mailcap.el in my "normal" emacs it works as I would expect it to
work, thanks. If I do emacs -Q and manually load those files and

(require 'mailcap)
(mailcap-mime-info "text/html")

I get

  Debugger entered--Lisp error: (void-function when-let)
  ...

But maybe that test case is confused. What do you think?

Best regards
--
Tomas